Create Application TaskAsk AIpost https://api.cloud.digifi.io/tasksThe Create Task API can be used to create an application task.Body ParamsRequest BodymetadataobjectOptional associated metadata as a simple key→value map. Keys are strings up to 40 characters long. Values can be string, number, or boolean. Up to 20 entries. String values up to 500 characters. metadata objectapplicationIdstringrequiredID of associated applicationtitlestringrequiredTitle of the task (minimum length 1 character, maximum length of 1000 characters)statusstringenumTask Status. Can be Done, In Progress, In Review, Not Done, Cancelled, Failed.Not DoneIn ProgressIn ReviewDoneCancelledFailedAllowed:Not DoneIn ProgressIn ReviewDoneCancelledFailedexternalAssigneeobjectnullTask external assignee objectexternalAssignee objectinternalInstructionsstring | nullInternal assignees instructions (maximum length of 5000 characters)externalInstructionsstring | nullExternal assignee instructions (maximum length of 5000 characters)dueDateAndTimestringnullDue Date of the Taskgroupstring | nullTask group (maximum length of 248 characters)variablesarraynullAssociated variables (maximum 500 values in array, each value with a maximum length of 300 characters)variables array of stringsautoPassConditionstring | nullTask auto pass condition formula (maximum length of 8000 characters)blockedApplicationStatusIdsarray of stringsBlocked application statuses IDs (maximum 50 values in array)blockedApplicationStatusIdsADD stringassignedTeamMemberIdsarray of stringsAssigned team member IDs (maximum 20 values in array)assignedTeamMemberIdsADD stringlabelIdsarray of stringsAssociated label IDs (maximum 50 values in array)labelIdsADD stringsendExternalAssignmentEmailbooleanA toggle that, if set to TRUE, will cause an email to be sent to the assignee to notify them about the task.truefalseHeadersapi-versionstringenumDefaults to 2024-02-2612/01/202312/20/20232024-02-26Allowed:12/01/202312/20/20232024-02-26Responses 201Success 400Bad Request 401Unauthorized 404Not Found 500Internal Server ErrorUpdated 10 months ago